<h2 mat-dialog-title>
  Search Purchase
</h2>
<form novalidate (ngSubmit)="submit()" [formGroup]="searchOrderForm">
  <mat-dialog-content>
    <mat-form-field appearance="fill" floatLabel="auto">
      <mat-label>Purchase ID</mat-label>
      <input matInput formControlName="orderId">
      <mat-error *ngIf="searchOrderForm.get('orderId').invalid">{{getErrorMessage()}}</mat-error>
    </mat-form-field>
  </mat-dialog-content>
  <mat-dialog-actions align="end">
    <button type="submit" mat-flat-button color="primary" [disabled]="!searchOrderForm.valid">
      Search
    </button>
    <button type="button" mat-button color="primary" (click)="close()">Close</button>
  </mat-dialog-actions>
</form>
